Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.charts.fill
Class JRFillMultiAxisPlot

    java.lang.Object
      net.sf.jasperreports.engine.fill.JRFillChartPlot
          net.sf.jasperreports.charts.fill.JRFillMultiAxisPlot

All Implemented Interfaces:
  java.lang.Cloneable, JRMultiAxisPlot, JRChartPlot, JRCloneable

    public class JRFillMultiAxisPlot

extends JRFillChartPlot
implements JRMultiAxisPlot

Version:
  $Id: JRFillMultiAxisPlot.java 3032 2009-08-27 11:32:28Z teodord $
Author:
  Barry Klawans (bklawans@users.sourceforge.net)

Nested Class Summary

Nested classes/interfaces inherited from interface net.sf.jasperreports.engine.JRChartPlot
`JRChartPlot.JRSeriesColor`

Field Summary

Fields inherited from class net.sf.jasperreports.engine.fill.JRFillChartPlot
`chart, parent`

Constructor Summary
`JRFillMultiAxisPlot(JRMultiAxisPlot multiAxisPlot, JRFillObjectFactory factory)`

Method Summary
`java.util.List` | `getAxes()` Returns a List of all the children axis.
`JRFillChartDataset` | `getMainDataset()`

Methods inherited from class net.sf.jasperreports.engine.fill.JRFillChartPlot
`addSeriesColor, clearSeriesColors, clone, clone, collectExpressions, getBackcolor, getBackgroundAlpha, getBackgroundAlphaFloat, getChart, getForegroundAlpha, getForegroundAlphaFloat, getLabelRotation, getLabelRotationDouble, getOrientation, getOwnBackcolor, getSeriesColors, setBackcolor, setBackgroundAlpha, setBackgroundAlpha, setForegroundAlpha, setForegroundAlpha, setLabelRotation, setLabelRotation, setOrientation, setSeriesColors`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface net.sf.jasperreports.engine.JRChartPlot
`addSeriesColor, clearSeriesColors, clone, collectExpressions, getBackcolor, getBackgroundAlpha, getBackgroundAlphaFloat, getChart, getForegroundAlpha, getForegroundAlphaFloat, getLabelRotation, getLabelRotationDouble, getOrientation, getOwnBackcolor, getSeriesColors, setBackcolor, setBackgroundAlpha, setBackgroundAlpha, setForegroundAlpha, setForegroundAlpha, setLabelRotation, setLabelRotation, setOrientation, setSeriesColors`

Methods inherited from interface net.sf.jasperreports.engine.JRCloneable
`clone`

Constructor Detail

### JRFillMultiAxisPlot

    public JRFillMultiAxisPlot(JRMultiAxisPlot multiAxisPlot,
                               JRFillObjectFactory factory)

Method Detail

### getAxes

    public java.util.List getAxes()

  Description copied from interface: `JRMultiAxisPlot`
  Returns a List of all the children axis. Each element is of type `net.sf.jasperreports.charts.util.JRChartAxis`.

  Specified by:
    `getAxes` in interface `JRMultiAxisPlot`

### getMainDataset

    public JRFillChartDataset getMainDataset()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com